// Learn cc.Class:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] https://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        // foo: {
        //     // ATTRIBUTES:
        //     default: null,        // The default value will be used only when the component attaching
        //                           // to a node for the first time
        //     type: cc.SpriteFrame, // optional, default is typeof default
        //     serializable: true,   // optional, default is true
        // },
        // bar: {
        //     get () {
        //         return this._bar;
        //     },
        //     set (value) {
        //         this._bar = value;
        //     }
        // },
        camera2: cc.Camera,
        page2: cc.Sprite
    },

    // LIFE-CYCLE CALLBACKS:

     onLoad () {
         let rt = new cc.RenderTexture();
         rt.initWithSize(960 ,640);
         this.camera2.targetTexture = rt;
         if(!this.page2.spriteFrame) {
             this.page2.spriteFrame = new cc.SpriteFrame();
         }
         this.page2.spriteFrame.setTexture(rt);
         this.page2.node.scaleY = -1;
         this.page2.texture = rt;
     },

    start () {

    },

    update (dt) {
        this.camera2.render();
    },
});
